/*
    This file is part of the TDE Character Generator (TCG).

    TCG is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    TCG is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TCG.  If not, see <http://www.gnu.org/licenses/>.
*/
package de.bernhardjung.dsaprogramm.basis;

/**
 * Speichert die GP die der Held durch Nachteile und Schlechte Eigenschaften
 * erhalten hat.
 * 
 * @author Bernhard Jung
 */
public class GpNachteile {

    /** Die GP, die der Held durch Nachteile erhalten hat. */
    public final int nachteile;

    /** Die GP, die der Held durch Schlechte Eigenschaften erhalten hat. */
    public final int schlechteEigenschaften;

    /**
     * @param nachteile
     *            die GP die der Held durch Nachteile erhalten hat.
     * @param schlechteEigenschaften
     *            die GP die der Held durch Schlechte Eigenschaften erhalten
     *            hat.
     */
    GpNachteile(final int nachteile, final int schlechteEigenschaften) {

        this.nachteile = nachteile;

        this.schlechteEigenschaften = schlechteEigenschaften;
    }
}
