/*
    This file is part of the TDE Character Generator (TCG).

    TCG is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    TCG is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TCG.  If not, see <http://www.gnu.org/licenses/>.
*/
package de.bernhardjung.dsaprogramm.basis.varianten;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import de.bernhardjung.dsaprogramm.basis.Held;

/**
 * Die Varianten fuer den Vorteil Besonderfer Besitz.
 *
 * @author Bernhard Jung
 *
 */
public class VariantenBesondererBesitz implements Varianten {

    /**
     * @return die Moeglichkeiten, die von der Profession des Helden,
     *         vorgegeben werden.
     */
    @SuppressWarnings( "unchecked" )
    public List< Object > getVarianten( final Held held ) {

        if ( null != held ) {

            return new ArrayList< Object >(
                    held.getProfession().getBesondererBesitz() );

        } else {

            return Collections.EMPTY_LIST;
        }
    }

    /**
     * Macht nichts.
     */
    public void einfuegen( final String variante ) {
        // ignorieren.
    }

    /**
     * @return {@code true}
     */
    public boolean hatVarianten() {
        return true;
    }

    /**
     * @return {@code true}
     */
    public boolean istFreieVariante() {
        return true;
    }
}
