/*
    This file is part of the TDE Character Generator (TCG).

    TCG is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    TCG is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TCG.  If not, see <http://www.gnu.org/licenses/>.
*/
package de.bernhardjung.dsaprogramm.basiswerte;

import de.bernhardjung.dsaprogramm.basis.Held;
import de.bernhardjung.dsaprogramm.sonderfertigkeiten.Sonderfertigkeit;

public class Initiative extends Basiswert {

    public Initiative(final String dieId, final int derIndex, final Formel dieFormel) {
        super( dieId, derIndex, dieFormel );
    }

    @Override
    public int getStufe( final BasiswertWert wert ) {

        int ini = super.getStufe( wert );

        final Held held = wert.getHeld();

        final int be = held.getBehinderung();

        if ( held.hat( Sonderfertigkeit.KAMPFREFLEXE )
          && ( be <= 4 ) ) {

            ini += 4;
        }

        return ini;
    }
}
