/*
    This file is part of the TDE Character Generator (TCG).

    TCG is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    TCG is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TCG.  If not, see <http://www.gnu.org/licenses/>.
*/
package de.bernhardjung.dsaprogramm.gui.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.KeyStroke;

import de.bernhardjung.dsaprogramm.gui.Hauptpanel;
import de.bernhardjung.dsaprogramm.gui.Util;
import de.bernhardjung.dsaprogramm.gui.Hauptpanel.Warnen;
import de.bernhardjung.dsaprogramm.i18n.I18n;

/**
 * Zeigt den Metaeditor fuer die Rassen an.
 *
 * @author Bernhard Jung
 *
 */
public class ActionRasseneditor extends AbstractAction {

    /** Der Titel der Aktion. */
    private static final String ACTION_NAME =
        I18n.i18n( "ActionRasseneditor.Name" );

    private static final String MNEMONIC =
        I18n.i18n( "ActionRasseneditor.Mnemonic" );

    private static final String TASTENKUERZEL =
        I18n.i18n( "ActionRasseneditor.Tasten" );

    /** Das Hauptfenster der Anwendung. */
    private final Hauptpanel hauptpanel;

    public ActionRasseneditor( final Hauptpanel dasHauptpanel ) {
        super( ACTION_NAME );

        putValue( MNEMONIC_KEY, Util.getKeyCode( MNEMONIC ) );

        putValue( ACCELERATOR_KEY, KeyStroke.getKeyStroke( TASTENKUERZEL ) );

        hauptpanel = dasHauptpanel;
    }

    public void actionPerformed( final ActionEvent e ) {

        hauptpanel.anzeigen( 
                hauptpanel.getPanelMetaRasse(),
                Warnen.WARNEN );
    }
}
